/*
 * This Java source file is completely Free and Open-Source, 
 * released under the MIT License.
 *
 * Copyright (2012) Ashish Nawal Saharia (ashish.saharia@yahoo.co.in)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy 
 * of this software and associated documentation files (the "Software"), to deal 
 * in the Software without restriction, including without limitation the rights 
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
 * copies of the Software, and to permit persons to whom the Software is 
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE
 * OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 */

/*
 * DBConn.java
 *
 * Created on 30 August 2008, 06:14
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.infantai.dbcp.secure;

import java.sql.*;

/**
 *
 * @author Ashish (ashish.saharia@yahoo.co.in)
 */
public class DBConn
{
    
    private String uniqueKey = null;
    private Connection connection = null;
    
    /**
     * Creates a new instance of DBConn.
     */
    public DBConn()
    {
        // Default constructor, nothing to do here.
    }

    public String getUniqueKey() 
    {
        return uniqueKey;
    }

    public void setUniqueKey(String uniqueKey) 
    {
        this.uniqueKey = uniqueKey;
    }

    public Connection getConnection() 
    {
        return connection;
    }

    public void setConnection(Connection connection) 
    {
        this.connection = connection;
    }
    
}
